
From: Shaohua Li <shaohua.li@intel.com>

-rc5-mm1 still needs the below trival patch to make suspend/resume SMP work.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/cpu/mcheck/k7.c      |    2 +-
 arch/i386/kernel/cpu/mcheck/mce.c     |    2 +-
 arch/i386/kernel/cpu/mcheck/p4.c      |    4 ++--
 arch/i386/kernel/cpu/mcheck/p6.c      |    2 +-
 arch/i386/kernel/cpu/mcheck/winchip.c |    2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

diff -puN arch/i386/kernel/cpu/mcheck/k7.c~suspend-resume-smp-support-fix-3 arch/i386/kernel/cpu/mcheck/k7.c
--- 25/arch/i386/kernel/cpu/mcheck/k7.c~suspend-resume-smp-support-fix-3	2005-05-26 22:17:48.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/mcheck/k7.c	2005-05-26 22:17:48.000000000 -0700
@@ -69,7 +69,7 @@ static fastcall void k7_machine_check(st
 
 
 /* AMD K7 machine check is Intel like */
-void __init amd_mcheck_init(struct cpuinfo_x86 *c)
+void __devinit amd_mcheck_init(struct cpuinfo_x86 *c)
 {
 	u32 l, h;
 	int i;
diff -puN arch/i386/kernel/cpu/mcheck/mce.c~suspend-resume-smp-support-fix-3 arch/i386/kernel/cpu/mcheck/mce.c
--- 25/arch/i386/kernel/cpu/mcheck/mce.c~suspend-resume-smp-support-fix-3	2005-05-26 22:17:48.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/mcheck/mce.c	2005-05-26 22:17:48.000000000 -0700
@@ -16,7 +16,7 @@
 
 #include "mce.h"
 
-int mce_disabled __initdata = 0;
+int mce_disabled __devinitdata = 0;
 int nr_mce_banks;
 
 EXPORT_SYMBOL_GPL(nr_mce_banks);	/* non-fatal.o */
diff -puN arch/i386/kernel/cpu/mcheck/p4.c~suspend-resume-smp-support-fix-3 arch/i386/kernel/cpu/mcheck/p4.c
--- 25/arch/i386/kernel/cpu/mcheck/p4.c~suspend-resume-smp-support-fix-3	2005-05-26 22:17:48.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/mcheck/p4.c	2005-05-26 22:17:48.000000000 -0700
@@ -78,7 +78,7 @@ fastcall void smp_thermal_interrupt(stru
 }
 
 /* P4/Xeon Thermal regulation detect and init */
-static void __init intel_init_thermal(struct cpuinfo_x86 *c)
+static void __devinit intel_init_thermal(struct cpuinfo_x86 *c)
 {
 	u32 l, h;
 	unsigned int cpu = smp_processor_id();
@@ -232,7 +232,7 @@ static fastcall void intel_machine_check
 }
 
 
-void __init intel_p4_mcheck_init(struct cpuinfo_x86 *c)
+void __devinit intel_p4_mcheck_init(struct cpuinfo_x86 *c)
 {
 	u32 l, h;
 	int i;
diff -puN arch/i386/kernel/cpu/mcheck/p6.c~suspend-resume-smp-support-fix-3 arch/i386/kernel/cpu/mcheck/p6.c
--- 25/arch/i386/kernel/cpu/mcheck/p6.c~suspend-resume-smp-support-fix-3	2005-05-26 22:17:48.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/mcheck/p6.c	2005-05-26 22:17:48.000000000 -0700
@@ -80,7 +80,7 @@ static fastcall void intel_machine_check
 }
 
 /* Set up machine check reporting for processors with Intel style MCE */
-void __init intel_p6_mcheck_init(struct cpuinfo_x86 *c)
+void __devinit intel_p6_mcheck_init(struct cpuinfo_x86 *c)
 {
 	u32 l, h;
 	int i;
diff -puN arch/i386/kernel/cpu/mcheck/winchip.c~suspend-resume-smp-support-fix-3 arch/i386/kernel/cpu/mcheck/winchip.c
--- 25/arch/i386/kernel/cpu/mcheck/winchip.c~suspend-resume-smp-support-fix-3	2005-05-26 22:17:48.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/mcheck/winchip.c	2005-05-26 22:17:48.000000000 -0700
@@ -23,7 +23,7 @@ static fastcall void winchip_machine_che
 }
 
 /* Set up machine check reporting on the Winchip C6 series */
-void __init winchip_mcheck_init(struct cpuinfo_x86 *c)
+void __devinit winchip_mcheck_init(struct cpuinfo_x86 *c)
 {
 	u32 lo, hi;
 	machine_check_vector = winchip_machine_check;
_
